SENDBUG(1)

NAME
sendbug - report a bug in OpenBSD

SYNOPSIS
sendbug [-DEP]

DESCRIPTION
sendbug is used to submit problem reports (PRs) to the OpenBSD bugs database. A template PR is opened in a text editor with some system information already filled in, such as machine architecture, dmesg(8), usbdevs(8), pcidump(8), and acpidump(8). The pcidump(8) and acpidump(8) output are important for ACPI development and can only be included if sendbug is run as root.

Fields enclosed in ‘’ should be completed by the user. Once the PR is filled out, the user exits the editor and is presented with a choice: a)bort, e)dit, or s)end. If abort is selected, the report is not deleted and the pathname of the report is printed. If edit is selected, the user is given a chance to re-edit the report.

If send is selected, the report is mailed to the bugs database, with a Cc to the author. An auto-generated reply will be sent confirming the mail has been received. Any follow up mail to the PR should keep the same mail subject.

The status of bug reports can be followed by checking the bugs@openbsd.org mailing list archive available at http://marc.info/?l=openbsd-bugs.

The options are as follows:

-D  Do not attach dmesg(8), usbdevs(8), pcidump(8), and acpidump(8) output to the report. This information is very helpful in reports, but may contain sensitive information about the sender. This flag helps protect users' privacy in those cases.

-E  The acpidump(8) output includes base64 encoded files. This flag causes sendbug to read a PR from the standard input, decode the files, and write them into the current directory.

-P  Generate and print the template with system information filled out.

ENVIRONMENT

EDITOR, VISUAL
    Specifies an editor to use. If both EDITOR and VISUAL are set, VISUAL takes precedence. If neither EDITOR nor VISUAL are set, the default is vi(1).

PR_FORM
    Filename of PR form to use instead of using the built-in form. Such a PR form can be partially pre-completed to make the process faster.

FILES
/tmp/p.XXXXXXXXXX
    temporary PR report

SEE ALSO
crash(8), dmesg(8)

AUTHORS
sendbug was written from scratch for the public domain by Ray Lai <ray@cyth.net>.

CAVEATS
The content of the PR is not confidential; it is sent out to a public mailing list. Sensitive, security related issues should be sent via email to <security@OpenBSD.org>.